Skip to main content
PATCH
/
v3
/
validation_results
/
{id}
Update a validation result
curl --request PATCH \
  --url https://{region}.affinda.com/v3/validation_results/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "annotations": [
    1,
    2,
    3
  ],
  "passed": true,
  "ruleSlug": "supplier-name-is-alphanumeric",
  "message": "Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*",
  "document": "<string>"
}
EOF
import requests

url = "https://{region}.affinda.com/v3/validation_results/{id}"

payload = {
"annotations": [1, 2, 3],
"passed": True,
"ruleSlug": "supplier-name-is-alphanumeric",
"message": "Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*",
"document": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
annotations: [1, 2, 3],
passed: true,
ruleSlug: 'supplier-name-is-alphanumeric',
message: 'Expected \'ThisInputShouldMatch\' to match regex pattern \'[0-9]*',
document: '<string>'
})
};

fetch('https://{region}.affinda.com/v3/validation_results/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "id": 1,
  "annotations": [
    1,
    2,
    3
  ],
  "passed": true,
  "ruleSlug": "supplier-name-is-alphanumeric",
  "message": "Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*",
  "document": "<string>"
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}

Authorizations

Authorization
string
header
required

Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}. You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.

Path Parameters

id
integer
required

Validation result's ID. Validation Result's ID

Required range: x >= 1
Example:

1

Body

application/json

Validation result data to update

annotations
integer[]

List of annotation ids that were validated

Example:
[1, 2, 3]
passed
boolean | null

Whether the validation passed or not, null if the validation was not applicable

Example:

true

ruleSlug
string

The kebab-case slug of the validation rule that was applied

Pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$
Example:

"supplier-name-is-alphanumeric"

message
string

Message explaining why the validation failed

Example:

"Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*"

document
string

Unique identifier for the document

Response

Successfully updated validation result.

Validation result arising from a ValidationRule

id
integer
required

Validation Result's ID

Required range: x >= 1
Example:

1

annotations
integer[]
required

List of annotation ids that were validated

Example:
[1, 2, 3]
passed
boolean | null
required

Whether the validation passed or not, null if the validation was not applicable

Example:

true

ruleSlug
string
required

The kebab-case slug of the validation rule that was applied

Pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$
Example:

"supplier-name-is-alphanumeric"

message
string
required

Message explaining why the validation failed

Example:

"Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*"

document
string
required

Unique identifier for the document